| .irpc

Previous | Assembler Directives | Next

Syntax: .irpc symbol[, value]
Evaluate a sequence of statements assigning different values to symbol. The sequence of statements starts at the `.irpc` directive, and is terminated by an `.endr` directive. For each character in value, symbol is set to the character, and the sequence of statements is assembled. If no value is listed, the sequence of statements is assembled once, with symbol set to the null string. To refer to symbol within the sequence of statements, use \symbol.
For example, assembling

            .irpc    param,123
            move.l  %d\param,-(%sp)
            .endr

is equivalent to assembling

            move.l %d1,-(%sp)
            move.l %d2,-(%sp)
            move.l %d3,-(%sp)